Skip to main content
GET
/
api
/
v1
/
school
/
session-setup
List Session Setups
curl --request GET \
  --url https://test-api.afrainity.com/api/v1/school/session-setup/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "success": true,
      "data": [
        {
          "session_type": "exam_session",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "academic_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "exam_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "not_started",
          "current_step": -1,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

academic_session
string<uuid>
exam_session
string<uuid>
ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

A search term.

session_type
enum<string>
  • exam_session - Exam Session
  • academic_session - Academic Session
Available options:
academic_session,
exam_session
status
enum<string>
  • not_started - Not Started
  • pending - Pending
  • completed - Completed
Available options:
completed,
not_started,
pending

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"